---

- name: Main | Find files to copy
  ansible.builtin.find:
    paths: "{{ home_files__path }}"
    recurse: true
    hidden: true
    excludes:
      - '*.old'
      - '*.bck'
      - '*.org'
      - '*.disable'
      - '*.disabled'
  register: home_files__files_found
  delegate_to: localhost

- name: Main | Processing files
  ansible.builtin.include_tasks:
    file: process_file.yml
  vars:
    home_files__home_file: "{{ home_files__file_item }}"
    home_files__file_prefix_path: "{{ home_files__path }}"
  loop: "{{ home_files__files_found.files }}"
  loop_control:
    loop_var: home_files__file_item
    label: "{{ home_files__file_item.path }}"
